
Redmine - Feature #17169

Allow POST in sys/fetch_changesets

2014-06-12 14:20 - Jelly frog

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The REST API's sys/fetch_changesets should allow POST since for example Gitlab can't use GET for its web hooks.

Related issues:

Is duplicate of Redmine - Feature #17077: fetch_changesets should use POST me... Closed

History

#1 - 2014-06-12 14:35 - Go MAEDA

This issue duplicates with #17077.

#2 - 2014-06-12 14:52 - Jelly frog

Sorry, only checked in Patch-tracker I guess, tho this commit contains a patch-file

#3 - 2014-06-12 15:20 - Go MAEDA

Don't mind. The reason I showed another issue is to help Redmine commiters.

#4 - 2014-06-26 14:25 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Category changed from REST API to SCM

- Status changed from New to Closed

- Resolution set to Duplicate

Go MAEDA wrote:

This issue duplicates with #17077.

 Thank you for your pointing.

#5 - 2014-06-26 14:25 - Toshi MARUYAMA

- Related to Feature #17077: fetch_changesets should use POST method too added

#6 - 2014-10-12 18:26 - Toshi MARUYAMA

- Related to deleted (Feature #17077: fetch_changesets should use POST method too)

#7 - 2014-10-12 18:26 - Toshi MARUYAMA

- Is duplicate of Feature #17077: fetch_changesets should use POST method too added

Files

fetch_changesets_post.diff 570 Bytes 2014-06-12 Jelly frog
